function[Data, Size] = read_data(filename,headers,columns)
% Read an ascii data_file and remove header lines
% Usage: [Data,size] = read_data(filename, N,columns)
% where: 
%     filename= ascii file name;
%     N       = no of header lines
%     columns = no of columns you want to read

fid = fopen(filename,'rt');

N = headers;

for i = 1:N 	%number of lines in the header
	fgetl(fid);
end
%row = fscanf(fid,'%d',1);
%col = fscanf(fid,'%d',1);
%fgetl(fid);
if nargin<3
    columns = 10;
end
[Data,Size] = fscanf(fid,'%g',[columns inf]);
fclose(fid);